xine-lib: coreaudio_driver_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
coreaudio_driver_s Struct Reference

## Data Fields
ao_driver_t | ao_driver
xine_t * | xine
int | capabilities
int32_t | sample_rate
uint32_t | num_channels
uint32_t | bits_per_sample
uint32_t | bytes_per_frame
Component | au_component
Component | converter_component
AudioUnit | au_unit
AudioUnit | converter_unit
uint8_t | buf [30720]
uint32_t | buf_head
uint32_t | last_block_size
uint32_t | buffered
int | mute
Float32 | pre_mute_volume
pthread_mutex_t | mutex
pthread_cond_t | buffer_ready_for_reading
pthread_cond_t | buffer_ready_for_writing

## Field Documentation

## ◆ ao_driver

ao_driver_t coreaudio_driver_s::ao_driver

## ◆ au_component

Component coreaudio_driver_s::au_component

## ◆ au_unit

AudioUnit coreaudio_driver_s::au_unit

## ◆ bits_per_sample

uint32_t coreaudio_driver_s::bits_per_sample

## ◆ buf

uint8_t coreaudio_driver_s::buf[30720]

## ◆ buf_head

uint32_t coreaudio_driver_s::buf_head

## ◆ buffer_ready_for_reading

pthread_cond_t coreaudio_driver_s::buffer_ready_for_reading

## ◆ buffer_ready_for_writing

pthread_cond_t coreaudio_driver_s::buffer_ready_for_writing

## ◆ buffered

uint32_t coreaudio_driver_s::buffered

## ◆ bytes_per_frame

uint32_t coreaudio_driver_s::bytes_per_frame

## ◆ capabilities

int coreaudio_driver_s::capabilities

## ◆ converter_component

Component coreaudio_driver_s::converter_component

## ◆ converter_unit

AudioUnit coreaudio_driver_s::converter_unit

## ◆ last_block_size

uint32_t coreaudio_driver_s::last_block_size

## ◆ mute

int coreaudio_driver_s::mute

## ◆ mutex

pthread_mutex_t coreaudio_driver_s::mutex

## ◆ num_channels

uint32_t coreaudio_driver_s::num_channels

## ◆ pre_mute_volume

Float32 coreaudio_driver_s::pre_mute_volume

## ◆ sample_rate

int32_t coreaudio_driver_s::sample_rate

## ◆ xine

xine_t* coreaudio_driver_s::xine

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/audio_out/audio_coreaudio_out.c